Repo für Python - Pakete / Tumbleweed - zypper: "File ... not found ..."

Hinweis: In dem Thema Repo für Python - Pakete / Tumbleweed - zypper: "File ... not found ..." gibt es 16 Antworten auf 2 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • Hallo,


    ich bekomme ein Script geschrieben und brauche dafür

    python3-QtPy, python-numpy und python-pyqtgraph.


    Wenn ich von dieser SuSE-Seite den entsprechenden zypper-Befehl eingebe (in root-Konsole) meldet zypper:

    Code
    7470tw:~ # zypper addrepo https://download.opensuse.org/repositories/openSUSE:Factory/standard/openSUSE:Factory.repo
    File '/repositories/openSUSE:Factory/standard/openSUSE:Factory.repo' not found on medium 'https://download.opensuse.org/'
    Abort, retry, ignore? [a/r/i/...? shows all options] (a): a

    Das gleiche Ergebnis für jeden Versuch der drei oben genannten Bibliotheken.


    Ich habe in https://donwload.opensuse.org gesucht, aber finde nicht das richtige Repo, zypper se gibt mir kein Ergebnis und ich will vor allem nicht "versuchsweise" irgendwelche Repos einbinden...

    ... mache ich etwas falsch oder wo, vor allem besser noch wie finde ich das richtige Repo?

    Dell Latitude 7470, 4 x i7 6600U, 32 GB, 1TB NVMe

    Tumbleweed, KDE Plasma

    Für den Inhalt des Beitrages 289174 haftet ausdrücklich der jeweilige Autor: baumkraxler

  • Hallo,


    Hast Du mal versucht, die URL im Browser zu öffnen und dann auch noch im Dateibaum weiter nach oben zu gehen? Übrigens: Das Repo, was Du hinzufügen möchtest, ist eigentlich das OSS- Repo, welches schon eingebunden sein sollte. Kann man auch sehen, wenn man die URL mal im Browser öffnet... :)


    Herzlichst, Gisela

    Für den Inhalt des Beitrages 289176 haftet ausdrücklich der jeweilige Autor: giff

  • Hallo Gisela,


    natürlich habe ich das versucht. Wenn ich mal dem Link direkt folge (von Post #1 ab "zypper addrepo " rauskopiert) sieht das so aus:


    Jessas, schrecklich groß, naja. Jedenfalls hat es mich dann nicht gewundert

    Und natürlich bin ich dann im Dateibaum hoch, aber ich habe null Plan von den Strukturen... ... Factory hätte ich ja mal noch einfach ausprobiert, wenn ich dort was von Python gesehen hätte, auch wenn ich nicht weiß, ob das wirklich zu Tumbleweed passt. Aber aufs geratewohl rumklicken und dann irgendwas nehmen ist dann, dachte ich mir, doch nicht ratsam.

    Vielleicht ist der Server gerade down? Aber meine Versuche vorhin waren schon vor ein paar Stunden und der den Screenshot produziert hat von gerade eben.

    Dell Latitude 7470, 4 x i7 6600U, 32 GB, 1TB NVMe

    Tumbleweed, KDE Plasma

    Für den Inhalt des Beitrages 289178 haftet ausdrücklich der jeweilige Autor: baumkraxler

  • Alles zu python, python2 und python3 ist doch im OSS-Repository von Tumbleweed/Leap 15.2 vorhanden und läßt sich doch mit zypper in nachinstallieren, wenn es benötigt wird.


    https://download.opensuse.org/tumbleweed/repo/oss/


    Zeig doch mal

    Code
    zypper lr -dP

    EDV-Dinosaurier im Ruhestand


    ich bin /root, ich darf das 8)


    Dinos are not dead. They are alive and well and living in data centers all around you. They speak in tongues and work strange magics with computers. Beware the Dino! And just in case you're waiting for the final demise of these Dino’s: remember that Dino’s ruled the world for 155-million years! (Unknown Author)

    Für den Inhalt des Beitrages 289179 haftet ausdrücklich der jeweilige Autor: Igel1954

  • zypper se findet von den in Post #1 genannten files nur python-numpy, der ging jetzt irgendwie rein - sorry, ich hab nicht genau verfolgt an welcher Stelle.

    Dell Latitude 7470, 4 x i7 6600U, 32 GB, 1TB NVMe

    Tumbleweed, KDE Plasma

    Für den Inhalt des Beitrages 289180 haftet ausdrücklich der jeweilige Autor: baumkraxler

  • moinmoin lieber baumkraxler,


    Vielleicht die Lösung:


    Du hast Dir die falsche Tumbleweed Version zur Installation geladen ....


    Du hast keinen Arm Prozessor sondern einen Intel i-7 !

    ( wenn Deine Angabe stimmt ...)


    Dell Latitude 7470, 4 x i7 6600U


    Somit macht Tumbleweed für Arm Prozessoren wenig Sinn ..... ;)

    4 Mal editiert, zuletzt von Petert ()

    Für den Inhalt des Beitrages 289181 haftet ausdrücklich der jeweilige Autor: Petert

  • zypper se findet von den in Post #1 genannten files nur python-numpy, der ging jetzt irgendwie rein - sorry, ich hab nicht genau verfolgt an welcher Stelle.

    Dass das nur die Dokumentation ist, hast du aber gemerkt?


    Du findest alle deine gesuchten Pakete hier ---> https://software.opensuse.org/


    Lösche die ARM, dod und Factory Repos ... (falls du damit nicht noch etwas anderes installiert hast)

  • moinmoin lieber baumkraxler,


    Diese Repos kannst Du löschen:

    - Installationsmedium

    - Debug- und

    - Source-Repos


    also weg damit .. Du brauchst sie bestimmt nicht ... ;)

    Für den Inhalt des Beitrages 289189 haftet ausdrücklich der jeweilige Autor: Petert

  • 7470tw:~ # zypper se python3-QtPy python-numpy python-pyqtgraph

    Code
    Loading repository data...
    Reading installed packages...
    S | Name | Summary | Type
    ---+----------------------+------------------------------------------------------------------+--------
    i+ | python-numpy | NumPy array processing for numbers, strings, records and objects | package
    | python-pyqtgraph-doc | Documentation for python-pyqtgraph | package
    7470tw:~ #

    python und python3 passen aber doch gar nicht zusammen, das sind m.M.n. unterschiedliche Versionen:


    Das ist jetzt zwar aus dem LEAP15.2-Repo, aber die Packages müsste es auch in Tumbleweed geben.

    EDV-Dinosaurier im Ruhestand


    ich bin /root, ich darf das 8)


    Dinos are not dead. They are alive and well and living in data centers all around you. They speak in tongues and work strange magics with computers. Beware the Dino! And just in case you're waiting for the final demise of these Dino’s: remember that Dino’s ruled the world for 155-million years! (Unknown Author)

    Für den Inhalt des Beitrages 289205 haftet ausdrücklich der jeweilige Autor: Igel1954

  • Hallo baumkraxler ; Du kannst herausfinden welches Paket Deine Antwort beinhaltet mit diesem Befehl an der Konsole

    Code
    rpm -q --provides python3-QtPy

    Wir müssen lernen, entweder als Brüder miteinander zu leben oder als Narren unterzugehen.

    Zitat von Martin Luther King.

    Für den Inhalt des Beitrages 289207 haftet ausdrücklich der jeweilige Autor: Heinz-Peter